Skip to main content
`Ctrl`+`K`

# MatProductGetType

Returns the type of matrix-matrix product associated with computing values for the given matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatProductGetType(Mat mat, MatProductType *mtype)

Not Collective

## Input Parameter

- mat - the matrix whose values are to be computed via a matrix-matrix product operation

## Output Parameter

- mtype - the `MatProductType`

## See Also

Matrices, `MatProduct`, `Mat`, `MatProductCreateWithMat()`, `MatProductSetType()`, `MatProductCreate()`, `MatProductType`, `MatProductAlgorithm`

## Level

intermediate

## Location

src/mat/interface/matproduct.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages